swagger: "2.0"

info:
  version: 10.1.2
  title: Atribuir por usuário no título do PDF
  description: "Aciona o conector para fazer assinaturas com base no usuário presente no título do arquivos."
  contact: 
    name: Senior X Platform
    url: https://dev.senior.com.br
    email: seniorx-dev@senior.com.br

paths:
  /assign-ged-filename-by-username:
    post:
      description: "Aciona o conector para fazer assinaturas com base no usuário presente no título do arquivos."
      deprecated: false

definitions:
  bodyData:
    type: object
    required:
      - filenameType
      - separator
      - positionName
      - folder
    properties:
      filenameType:
        type: string
        description: "Padrão do nome do arquivo"
      separator:
        type: string
        description: "Separador do nome do arquivo"
      positionName:
        type: string
        description: "Nome da posição"
      folder:
        type: string
        description: "Pasta dos arquivos"